use std::ops::Deref;

use poise::serenity_prelude::Http;
use rocket::{http::CookieJar, State};

use crate::models::SessionUser;

#[get("/testing")]
pub async fn testing(cookies: &CookieJar<'_>, http: &State<Http>) -> String {
    // Get logged in user's join date in 字ちゃん server
    format!(
        "{:?}",
        http.get_guild(814700630958276649)
            .await
            .expect("Failed to get testing guild")
            .member(
                http.deref(),
                SessionUser::get(cookies)
                    .await
                    .expect("Failed to get logged in user data")
                    .expect("No logged in user")
                    .0.id
            )
            .await
            .expect("Failed to fetch user in server")
            .joined_at
    )
}
